UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSSourceSendExInfo Class Reference

## Public Member Functions
| LBMSSourceSendExInfo ()
| LBMSSourceSendExInfo (int flags, Object cbArg)
| LBMSSourceSendExInfo (int flags, Object cbArg, long channel)
| LBMSSourceSendExInfo (int flags, Object cbArg, int mprop_int_cnt, String[] mprop_int_keys, long[] mprop_int_vals)
| LBMSSourceSendExInfo (int flags, Object cbArg, long channel, int mprop_int_cnt, String[] mprop_int_keys, long[] mprop_int_vals)
void | setClientObject (Object cbArg)
void | setFlags (int flags)
void | setChannel (long channel)
void | setMessageProperties (int mprop_int_cnt, String[] mprop_int_keys, long[] mprop_int_vals)
void | setUserSuppliedBuffer (ByteBuffer userBuffer) throws LBMEInvalException
int | flags ()
Object | clientObject ()
long | getChannel ()
int | getMessagePropertyCnt ()
String | getMessagePropertyKey (int index) throws LBMEInvalException
long | getMessagePropertyValue (int index) throws LBMEInvalException
ByteBuffer | getUserSuppliedBuffer ()

## Detailed Description

LBM Smart Source Send Extended Info class. Holds a user-supplied callback argument and user-supplied flags to change callback behavior for extended LBMSSource#send(ByteBuffer, int, int, LBMSSourceSendExInfo) calls.

See also
  LBMSSource::send(ByteBuffer, int, int, LBMSSourceSendExInfo)
  LBM::SSRC_SEND_EX_FLAG_UME_CLIENTD
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SSRC_SEND_EX_FLAG_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_PROPERTIES
  LBM::SSRC_SEND_EX_FLAG_REBUILD_BUFFER
  LBM::SSRC_SEND_EX_FLAG_UPDATE_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES

Since
  UM 6.11

See also
  LBM::SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER

Since
  UM 6.11.1.2

See also
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UM 6.12

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo | ( |  | ) |

Create an empty LBMSSourceSendExInfo object.

com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo | ( | int | flags,
|  | Object | cbArg
| ) |  |

Create an LBMSSourceSendExInfo object with flags and callback object set.

Parameters

  flags | Flags to control callback behavior.
  cbArg | User-supplied client data pointer passed back with any callback.

See also
  LBM::SSRC_SEND_EX_FLAG_UME_CLIENTD
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO

Since
  UM 6.11

See also
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UM 6.12

References com.latencybusters.lbm.LBMSSourceSendExInfo.flags().

com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | long | channel
| ) |  |

Create an LBMSSourceSendExInfo object with flags, callback object and channel set

Parameters

  flags | Flags that indicate which settings are active as defined by "LBM_SSRC_SEND_EX_*".
  cbArg | User-supplied client data pointer passed back with any callback.
  channel | Spectrum channel number.

See also
  LBM::SSRC_SEND_EX_FLAG_UME_CLIENTD
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SSRC_SEND_EX_FLAG_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_REBUILD_BUFFER
  LBM::SSRC_SEND_EX_FLAG_UPDATE_CHANNEL

Since
  UM 6.11

See also
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UM 6.12

References com.latencybusters.lbm.LBMSSourceSendExInfo.flags().

com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | int | mprop_int_cnt,
|  | String[] | mprop_int_keys,
|  | long[] | mprop_int_vals
| ) |  |

Create an LBMSSourceSendExInfo object with flags, callback object and message properties set

Parameters

  flags | Flags that indicate which settings are active as defined by "LBM_SSRC_SEND_EX_*".
  cbArg | User-supplied client data pointer passed back with any callback.
  mprop_int_cnt | Message property count.
  mprop_int_keys | A list of message property key strings.
  mprop_int_vals | A list of message property unsigned 32-bit integers.

See also
  LBM::SSRC_SEND_EX_FLAG_UME_CLIENTD
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SSRC_SEND_EX_FLAG_PROPERTIES
  LBM::SSRC_SEND_EX_FLAG_REBUILD_BUFFER
  LBM::SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES

Since
  UM 6.11

See also
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UM 6.12

References com.latencybusters.lbm.LBMSSourceSendExInfo.flags().

com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo | ( | int | flags,
|  | Object | cbArg,
|  | long | channel,
|  | int | mprop_int_cnt,
|  | String[] | mprop_int_keys,
|  | long[] | mprop_int_vals
| ) |  |

Create an LBMSSourceSendExInfo object with flags, callback object, channel and message properties set

Parameters

  flags | Flags that indicate which settings are active as defined by "LBM_SSRC_SEND_EX_*".
  cbArg | User-supplied client data pointer passed back with any callback.
  channel | Spectrum channel number.
  mprop_int_cnt | Message property count.
  mprop_int_keys | A list of message property key strings.
  mprop_int_vals | A list of message property unsigned 32-bit integers.

See also
  LBM::SSRC_SEND_EX_FLAG_UME_CLIENTD
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SSRC_SEND_EX_FLAG_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_PROPERTIES
  LBM::SSRC_SEND_EX_FLAG_REBUILD_BUFFER
  LBM::SSRC_SEND_EX_FLAG_UPDATE_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES

Since
  UM 6.11

See also
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UM 6.12

References com.latencybusters.lbm.LBMSSourceSendExInfo.setChannel(), com.latencybusters.lbm.LBMSSourceSendExInfo.setClientObject(), com.latencybusters.lbm.LBMSSourceSendExInfo.setFlags(), and com.latencybusters.lbm.LBMSSourceSendExInfo.setMessageProperties().

## Member Function Documentation

Object com.latencybusters.lbm.LBMSSourceSendExInfo.clientObject | ( |  | ) |

Returns the client-supplied callback object.

Returns
  The current client-supplied callback object.

Since
  UM 6.11

int com.latencybusters.lbm.LBMSSourceSendExInfo.flags | ( |  | ) |

Returns currently set flags.

Returns
  An int representing an OR'd set of currently set flags.

See also
  LBM::SSRC_SEND_EX_FLAG_UME_CLIENTD
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SSRC_SEND_EX_FLAG_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_PROPERTIES
  LBM::SSRC_SEND_EX_FLAG_REBUILD_BUFFER
  LBM::SSRC_SEND_EX_FLAG_UPDATE_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES

Since
  UM 6.11

See also
  LBM::SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER

Since
  UM 6.11.1.2

See also
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UM 6.12

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo(), and com.latencybusters.lbm.LBMSSourceSendExInfo.setFlags().

long com.latencybusters.lbm.LBMSSourceSendExInfo.getChannel | ( |  | ) |

Returns the currently set channel.

Returns
  The current spectrum channel.

Since
  UM 6.11

int com.latencybusters.lbm.LBMSSourceSendExInfo.getMessagePropertyCnt | ( |  | ) |

Returns the number of message properties to be included with messages.

Returns
  Message property count.

Since
  UM 6.11

String com.latencybusters.lbm.LBMSSourceSendExInfo.getMessagePropertyKey | ( | int | index | ) | throws LBMEInvalException

Returns the message property key at the specified index to be included with messages.

Returns
  The message property key string at the given index.

Since
  UM 6.11

long com.latencybusters.lbm.LBMSSourceSendExInfo.getMessagePropertyValue | ( | int | index | ) | throws LBMEInvalException

Returns the message property value at the specified index to be included with messages.

Returns
  The message property value at the given index.

Since
  UM 6.11

ByteBuffer com.latencybusters.lbm.LBMSSourceSendExInfo.getUserSuppliedBuffer | ( |  | ) |

Returns the value of a previously supplied user buffer which will be used as a message buffer.

Returns
  The direct ByteBuffer object.

Since
  UM 6.11.1.2

void com.latencybusters.lbm.LBMSSourceSendExInfo.setChannel | ( | long | channel | ) |

Sets spectrum channel to be included with messages and sets the LBM.SSRC_SEND_EX_FLAG_CHANNEL flag.

Parameters

  channel | Spectrum channel number.

Since
  UM 6.11

References com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_CHANNEL.

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo().

void com.latencybusters.lbm.LBMSSourceSendExInfo.setClientObject | ( | Object | cbArg | ) |

Set the user-supplied callback object.

Parameters

  cbArg | User-supplied client data pointer passed back with any callback.

Since
  UM 6.11

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo().

void com.latencybusters.lbm.LBMSSourceSendExInfo.setFlags | ( | int | flags | ) |

Sets flags that control callback behavior.

Parameters

  flags | An integer representing an OR'd value of flags to set.

See also
  LBM::SSRC_SEND_EX_FLAG_UME_CLIENTD
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO
  LBM::SSRC_SEND_EX_FLAG_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_PROPERTIES
  LBM::SSRC_SEND_EX_FLAG_REBUILD_BUFFER
  LBM::SSRC_SEND_EX_FLAG_UPDATE_CHANNEL
  LBM::SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES

Since
  UM 6.11

See also
  LBM::SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER

Since
  UM 6.11.1.2

See also
  LBM::SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY

Since
  UM 6.12

References com.latencybusters.lbm.LBMSSourceSendExInfo.flags().

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo().

void com.latencybusters.lbm.LBMSSourceSendExInfo.setMessageProperties | ( | int | mprop_int_cnt,
|  | String[] | mprop_int_keys,
|  | long[] | mprop_int_vals
| ) |  |

Sets message properties to be included with messages and sets the LBM.SSRC_SEND_EX_FLAG_PROPERTIES flag.

Parameters

  mprop_int_cnt | Message property count.
  mprop_int_keys | A list of message property key strings.
  mprop_int_vals | A list of message property unsigned 32-bit integers.

Since
  UM 6.11

References com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_PROPERTIES.

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.LBMSSourceSendExInfo().

void com.latencybusters.lbm.LBMSSourceSendExInfo.setUserSuppliedBuffer | ( | ByteBuffer | userBuffer | ) | throws LBMEInvalException

Sets the value of a supplied user buffer which will be used as a message buffer.

Parameters

  userBuffer | The direct ByteBuffer object. Use null to unset this option

Since
  UM 6.11.1.2

References com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER.

The documentation for this class was generated from the following file:

- LBMSSourceSendExInfo.java